# Uses of Class
java.nio.file.attribute.FileTime

Packages that use FileTime
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

## Uses of FileTime in java.nio.file

Methods in java.nio.file that return FileTime
Modifier and Type
Method
Description
`static FileTime`
Files.`getLastModifiedTime(Path path, LinkOption... options)`
Returns a file's last modified time.
Methods in java.nio.file with parameters of type FileTime
Modifier and Type
Method
Description
`static Path`
Files.`setLastModifiedTime(Path path, FileTime time)`
Updates a file's last modified time attribute.

## Uses of FileTime in java.nio.file.attribute

Methods in java.nio.file.attribute that return FileTime
Modifier and Type
Method
Description
`FileTime`
BasicFileAttributes.`creationTime()`
Returns the creation time.
`static FileTime`
FileTime.`from(long value, TimeUnit unit)`
Returns a `FileTime` representing a value at the given unit of granularity.
`static FileTime`
FileTime.`from(Instant instant)`
Returns a `FileTime` representing the same point of time value on the time-line as the provided `Instant` object.
`static FileTime`
FileTime.`fromMillis(long value)`
Returns a `FileTime` representing the given value in milliseconds.
`FileTime`
BasicFileAttributes.`lastAccessTime()`
Returns the time of last access.
`FileTime`
BasicFileAttributes.`lastModifiedTime()`
Returns the time of last modification.
Methods in java.nio.file.attribute with parameters of type FileTime
Modifier and Type
Method
Description
`int`
FileTime.`compareTo(FileTime other)`
Compares the value of two `FileTime` objects for order.
`void`
BasicFileAttributeView.`setTimes(FileTime lastModifiedTime, FileTime lastAccessTime, FileTime createTime)`
Updates any or all of the file's last modified time, last access time, and create time attributes.

## Uses of FileTime in java.util.zip

Methods in java.util.zip that return FileTime
Modifier and Type
Method
Description
`FileTime`
ZipEntry.`getCreationTime()`
Returns the creation time of the entry.
`FileTime`
ZipEntry.`getLastAccessTime()`
Returns the last access time of the entry.
`FileTime`
ZipEntry.`getLastModifiedTime()`
Returns the last modification time of the entry.
Methods in java.util.zip with parameters of type FileTime
Modifier and Type
Method
Description
`ZipEntry`
ZipEntry.`setCreationTime(FileTime time)`
Sets the creation time of the entry.
`ZipEntry`
ZipEntry.`setLastAccessTime(FileTime time)`
Sets the last access time of the entry.
`ZipEntry`
ZipEntry.`setLastModifiedTime(FileTime time)`
Sets the last modification time of the entry.